//Table creation
var table = new GigaTable({
	containerId: 'tabela',
	filters: {
		columnFilters: [
			{
				column: 3
			},
			{
				column: 2
			}

		]
	},

	pagination: {
		registerPerPage: 5
	}
});


table.toProcessData ( function (processParameters){

	dataToGenerate = {
		data: {
			columns: ['ID', 'Name', 'E-Mail', 'City', 'Country'],
			rows: [
				['1', 'Amos Batista', 'amos.silva@gmail.com', 'Sao Paulo', 'Brazil'],
				['2', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['3', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['4', 'Amos Batista', 'amos.silva@gmail.com', 'Sao Paulo', 'Brazil'],
				['5', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['6', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['7', 'Amos Batista', 'amos.silva@gmail.com', 'Sao Paulo', 'Brazil'],
				['8', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['9', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['10', 'Amos Batista', 'amos.silva@gmail.com', 'Sao Paulo', 'Brazil'],
				['11', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['12', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['13', 'Amos Batista', 'amos.silva@gmail.com', 'Sao Paulo', 'Brazil'],
				['14', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['15', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['16', 'Amos Batista', 'amos.silva@gmail.com', 'Sao Paulo', 'Brazil'],
				['17', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['18', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['19', 'Amos Batista', 'amos.silva@gmail.com', 'Sao Paulo', 'Brazil'],
				['20', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['21', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['22', 'Amos Batista', 'amos.silva@gmail.com', 'Sao Paulo', 'Brazil'],
				['23', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['24', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['25', 'Amos Batista', 'amos.silva@gmail.com', 'Sao Paulo', 'Brazil'],
				['26', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['27', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['28', 'Amos Batista', 'amos.silva@gmail.com', 'Sao Paulo', 'Brazil'],
				['29', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['30', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan']

				
			]
		}
	};

	// Filter
	var filteredData =
	{
		data: {
			columns: ['ID', 'Name', 'E-Mail', 'City', 'Country'],
			rows: dataToGenerate.data.rows.filter( function (row){
				return (row[processParameters.filters[0].column - 1].search(processParameters.filters[0].value) >= 0) && (row[processParameters.filters[1].column - 1].search(processParameters.filters[1].value) >= 0);
			})
		}
	};

	// Pagination simulation
	var _metadata = {
		maxPages: Math.floor(filteredData.data.rows.length / 5)
	}

	filteredData =
	{
		data: {
			columns: ['ID', 'Name', 'E-Mail', 'City', 'Country'],
			rows: filteredData.data.rows.slice (processParameters.pagination.currentPage - 1, processParameters.pagination.currentPage + 4)
		}
	};

	return {
		data: filteredData.data,
		metadata: _metadata
	}

	
});



