
var nameToSearch = '';

//Table creation
var table = new MasterRow({
	containerId: 'tabela',
	filters: {
		columnFilters: [
			{
				column: 'Date Ini',
				datePeriod: {
					dateformat: null
				}
			},
			{
				column: 'Name',
				autoComplete: function (fieldValue, callback){

					var interv = setInterval(
						function(){
							callback([
								'Amos',
								'Walter',
								'Kempo'
							]) ;
							clearInterval(interv);
						},
					3000);
					return [
						'Amos',
						'Walter',
						'Kempo',
						'Amos',
						'Walter',
						'Kempo',
						'Amos',
						'Walter',
						'Kempo',
						'Amos',
						'Walter',
						'Kempo'
					]
				}
			},
			{
				column: 'ID',
				select: [
					{
						name: 'Malckon', 
						value: 1
					},
					{
						name: 'jansen', 
						value: 2,
						/*selected: true*/
					},
					{
						name: 'Tibet', 
						value: 3
					}
				]				
			},
			{
				column: 'Country'
			}

		]
	},

	pagination: {
		registerPerPage: 5
	},
	sorting:{
		enabled: true
	},

	exporting: {
		fileName: "MasTerrOw"
	},

	detailing: {
		columnsToShow: ['ID','Name', 'Date Ini'],
		noDetail: false
	},
	personalization: {
		columnRename: [
			{
				column: 'ID',
				newColumnName: 'Id do registro'
			}, 
			{
				column: 'Name',
				newColumnName: 'Nome do parceiro'
			}, 
			{
				column: 'City',
				newColumnName: 'Cidade'
			}, 
			{
				column: 'Date Ini',
				newColumnName: 'Data Inicial'
			}, 
		],

		/*customCellStyle:[
			{
				when: function(value){
					if(value.search('Kem') >= 0)
						return true;
					return false;
				},
				setClass: 'customCell'
			}
		]*/
	},

	rowAction: {
		actionColumnName: "Ações",
		actionList: [{
			icon: 'pencil-square-o',
			toProcessAction: function (row){
				console.log('The person name is' + row['Name'] + '.');
			}
		},
		{
			icon: 'times',
			toProcessAction: function (row){
				console.log('I must delete the ' + row['Name'] + ' person.');
			}
		},
		]
	},

	

});

console.log(table.teste());


table.toProcessData ( function (processParameters){

	console.log('Status of filterring', processParameters.filters);
	dataToGenerate = {
		data: {
			columns: ['ID', 'Date Ini', 'Date End', 'Name', 'E-Mail', 'City', 'Country'],
			rows: [
				['1', '12/01/1988', '12/05/2001', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil'],
				['2', '12/01/1988', '12/05/2001', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['3', '12/01/1988', '12/05/2001', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['4', '12/01/1988', '12/05/2001', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil'],
				['5', '12/01/1988', '12/05/2001', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['6', '12/01/1988', '12/05/2001', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['7', '01/01/2015', '05/10/2016', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil'],
				['8', '01/01/2015', '05/10/2016', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['9', '01/01/2015', '05/10/2016', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['10', '01/01/2015', '05/10/2016', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil'],
				['11', '01/01/2015', '05/10/2016', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['12', '01/01/2015', '05/10/2016', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['13', '01/01/2015', '05/10/2016', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil'],
				['14', '01/01/2015', '05/10/2016', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['15', '01/01/2015', '05/10/2016', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['16', '01/01/2015', '05/10/2016', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil'],
				['17', '01/01/2015', '05/10/2016', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['18', '11/11/2000', '13/11/2000', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['19', '11/11/2000', '13/11/2000', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil'],
				['20', '11/11/2000', '13/11/2000', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['21', '11/11/2000', '13/11/2000', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['22', '11/11/2000', '13/11/2000', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil'],
				['23', '11/11/2000', '13/11/2000', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['24', '11/11/2000', '13/11/2000', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['25', '11/11/2000', '13/11/2000', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil'],
				['26', '11/11/1955', '01/01/1965', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['27', '11/11/1955', '01/01/1965', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['28', '11/11/1955', '01/01/1965', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil'],
				['29', '11/11/1955', '01/01/1965', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['30', '11/11/1955', '01/01/1965', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan']

				
			]
		}
		/*data: {
			columns: ['ID', 'Date Ini', 'Date End', 'Name', 'E-Mail', 'City', 'Country','Document', 'Record Status','Feeling', 'Favorite Song'],
			rows: [
				['1', '12/01/1988', '12/05/2001', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil','12345679','Almost Done','Tired','Emerald Sword'],
				['2', '12/01/1988', '12/05/2001', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA', '99-99-99', 'Done','Sad','NightFall'],
				['3', '12/01/1988', '12/05/2001', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan','99-99-99', 'Incomplete','Calm','Mirai O'],

				
			]
		}*/
	};

	// Filter
	// Filter by filter data
	/*var filteredData =
	{
		data: {
			/*columns: ['ID', 'Date Ini', 'Date End', 'Name', 'E-Mail', 'City', 'Country'],*/
			/*columns: ['ID', 'Date Ini', 'Date End', 'Name', 'E-Mail', 'City', 'Country','Document', 'Record Status','Feeling', 'Favorite Song'],
			rows: dataToGenerate.data.rows.filter( function (row){
				return (row[0].search(processParameters.filters['ID'].value) >= 0) && (row[1].search(processParameters.filters['Name'].value) >= 0);
			})
		}
	};*/


	// Filter by text filter
	/*var filteredData =
	{
		data: {
			columns: ['ID', 'Name', 'E-Mail', 'City', 'Country'],
			rows: dataToGenerate.data.rows.filter( function (row){
				return row[1].search(nameToSearch) >= 0; 
			})
		}
	};*/

	// Pagination simulation
	var _metadata = {
		maxPages: 6,
		totalRegisters: 1000
	}

	var filteredData =
	{
		data: {
			columns: ['ID', 'Date Ini', 'Date End', 'Name', 'E-Mail', 'City', 'Country','Document', 'Record Status','Feeling', 'Favorite Song'],
			rows: dataToGenerate.data.rows.slice (processParameters.pagination.currentPage * 5 - 5, processParameters.pagination.currentPage * 5)
		}
	};

	
	return {
		data: filteredData.data,
		metadata: _metadata
	} ;
	/*var interv = setInterval(		function(){
			processParameters.callback({
				data: filteredData.data,
				metadata: _metadata
			}) ;
			clearInterval(interv);
		},
	100);*/

	

	
});




/*
function refreshTable(){
	var inputSearch = document.getElementById('search');
	nameToSearch = inputSearch.value;
	table.toProcessData();
};*/



















var table2 = new MasterRow({
	containerId: 'tabela2',
	

	

	

});


table2.toProcessData ( function (processParameters){

	dataToGenerate = {
		data: {
			columns: ['ID', 'Date Ini', 'Date End', 'Name', 'E-Mail', 'City', 'Country'],
			rows: [
				['1', '12/01/1988', '12/05/2001', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil'],
				['2', '12/01/1988', '12/05/2001', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['3', '12/01/1988', '12/05/2001', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['4', '12/01/1988', '12/05/2001', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil'],
				['5', '12/01/1988', '12/05/2001', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['6', '12/01/1988', '12/05/2001', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['7', '01/01/2015', '05/10/2016', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil'],
				['8', '01/01/2015', '05/10/2016', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['9', '01/01/2015', '05/10/2016', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['10', '01/01/2015', '05/10/2016', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil'],
				['11', '01/01/2015', '05/10/2016', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['12', '01/01/2015', '05/10/2016', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['13', '01/01/2015', '05/10/2016', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil'],
				['14', '01/01/2015', '05/10/2016', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['15', '01/01/2015', '05/10/2016', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['16', '01/01/2015', '05/10/2016', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil'],
				['17', '01/01/2015', '05/10/2016', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['18', '11/11/2000', '13/11/2000', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['19', '11/11/2000', '13/11/2000', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil'],
				['20', '11/11/2000', '13/11/2000', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['21', '11/11/2000', '13/11/2000', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['22', '11/11/2000', '13/11/2000', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil'],
				['23', '11/11/2000', '13/11/2000', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['24', '11/11/2000', '13/11/2000', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['25', '11/11/2000', '13/11/2000', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil'],
				['26', '11/11/1955', '01/01/1965', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['27', '11/11/1955', '01/01/1965', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan'],
				['28', '11/11/1955', '01/01/1965', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil'],
				['29', '11/11/1955', '01/01/1965', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['30', '11/11/1955', '01/01/1965', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan']

				
			]
		}
		/*data: {
			columns: ['ID', 'Date Ini', 'Date End', 'Name', 'E-Mail', 'City', 'Country','Document', 'Record Status','Feeling', 'Favorite Song'],
			rows: [
				['1', '12/01/1988', '12/05/2001', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil','12345679','Almost Done','Tired','Emerald Sword'],
				['2', '12/01/1988', '12/05/2001', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA', '99-99-99', 'Done','Sad','NightFall'],
				['3', '12/01/1988', '12/05/2001', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan','99-99-99', 'Incomplete','Calm','Mirai O'],

				
			]
		}*/
	};

	// Filter
	// Filter by filter data
	/*var filteredData =
	{
		data: {
			/*columns: ['ID', 'Date Ini', 'Date End', 'Name', 'E-Mail', 'City', 'Country'],*/
			/*columns: ['ID', 'Date Ini', 'Date End', 'Name', 'E-Mail', 'City', 'Country','Document', 'Record Status','Feeling', 'Favorite Song'],
			rows: dataToGenerate.data.rows.filter( function (row){
				return (row[0].search(processParameters.filters['ID'].value) >= 0) && (row[1].search(processParameters.filters['Name'].value) >= 0);
			})
		}
	};*/


	// Filter by text filter
	/*var filteredData =
	{
		data: {
			columns: ['ID', 'Name', 'E-Mail', 'City', 'Country'],
			rows: dataToGenerate.data.rows.filter( function (row){
				return row[1].search(nameToSearch) >= 0; 
			})
		}
	};*/

	// Pagination simulation
	
	return {
		data: dataToGenerate.data
	} ;
	/*var interv = setInterval(		function(){
			processParameters.callback({
				data: filteredData.data,
				metadata: _metadata
			}) ;
			clearInterval(interv);
		},
	100);*/

	

	
});