
//Table creation
var table = new MasterRow({
	containerId: 'tabela',
	filters: {
		columnFilters: [
			{
				column: 'Date Ini',
				datePeriod: {
					dateformat: null
				}
			},
			{
				column: 'Name',
				autoComplete: function (fieldValue, callback){

					var interv = setInterval(
						function(){
							callback([
								'Amos',
								'Walter',
								'Kempo'
							]) ;
							clearInterval(interv);
						},
					3000);
					return [
						'Amos',
						'Walter',
						'Kempo',
						'Amos',
						'Walter',
						'Kempo',
						'Amos',
						'Walter',
						'Kempo',
						'Amos',
						'Walter',
						'Kempo'
					]
				}
			},
			{
				column: 'ID',
				select: [
					{
						name: 'Malckon', 
						value: 1
					},
					{
						name: 'jansen', 
						value: 2,
						/*selected: true*/
					},
					{
						name: 'Tibet', 
						value: 3
					}
				]				
			},
			{
				column: 'Country'
			}

		]
	},
	pagination: {
		registerPerPage: 5,
	},
	/*detailing: {
		columnsToShow: ['ID', 'Date Ini', 'Name', 'Country'], // What columns (by it name), from the entire data, must be show
	},*/
	personalization: {
	 	columnRename: [{
	 		column: 'ID',
	 		newColumnName: "Bird Code"
	 	}]
	 },

	 exporting: {
	 	fileName: "bride"
	 }

});

/*table.toProcessData ( function (processParameters){


	console.log('Status of filterring', processParameters.filters);
	dataToGenerate = {
		data: {
			columns: ['ID', 'Date Ini', 'Date End', 'Name', 'E-Mail', 'City', 'Country'],
			rows: [
				['1', '12/01/1988', '12/05/2001', undefined, 'amos.silva@gmail.com', 'São Paulo', 'Brazil'],
				['2', '12/01/1988', '12/05/2001', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA'],
				['3', '12/01/1988', '12/05/2001', 'Kempo Horata', 'hk@jun.jp', undefined,'Japan'],				
			]
		}
		
	};

	return {
		data: dataToGenerate.data,
		metadata: {
			maxPages: 5,
			currentPage: 1
		}
	} ;
});
*/
	





var table2 = new MasterRow({
	containerId: 'tabela2',
	filters: {
		columnFilters: [
			{
				column: 'ID',
			}
		]
	},
	pagination: {
		registerPerPage: 5,
	},
	/*detailing: {
		columnsToShow: ['ID', 'Date End'], // What columns (by it name), from the entire data, must be show
	},*/
	exporting: {
	 	fileName: "groom"
	 }
	
});


table2.toProcessData ( function (processParameters){
	console.log('Status of table 2 Filtering', processParameters.filters);
	console.log('Status of table 2 Pagination', processParameters.pagination);

	dataToGenerate = {
		data: {
			columns: ['ID', 'Date Ini', 'Date End', 'Name', 'E-Mail', 'City', 'Country2', 'Country3', 'Country4', 'Country5', 'Country6'],
			rows: [
				['4', '12/01/1988', '12/05/2001', 'Amos Batista', 'amos.silva@gmail.com', 'São Paulo', 'Brazil', 'Brazil', 'Brazil', 'Brazil', 'Brazil'],
				['5', '12/01/1988', '12/05/2001', 'Walter Red', 'walter@yep.us', 'Montgomery', 'USA', 'USA', 'USA', 'USA', 'USA', 'USA'],
				['6', '12/01/1988', '12/05/2001', 'Kempo Horata', 'hk@jun.jp', 'Wakkanai','Japan','Japan','Japan','Japan','Japan','Japan'],
				
			]
		}
	};

	return {
		data: dataToGenerate.data,
		metadata: {
			maxPages: 5,
			currentPage: 1
		}
	} ;
		
});
